Subject: Re: [PATCH 1/4] Documentation: minor grammatical fixes in git-archive.txt.

From: "David J. Mellor" <[email-masked]>
Date: Tue, 17 Mar 2009 19:54:16 -0700

On 03/17/2009 02:18 AM, Michael J Gruber wrote:
> One minor reoccurring issue is the following type of construct:
> 
> ###
> The good/bad input is logged, and:
> 
> ------------
> $ git bisect log
> ------------
> 
> shows what you have done so far.
> ###
> 
> The first line is not a complete sentence.

I agree. I will send a revised patch (patch 2 in this sequence) that 
corrects this.

> Neither is the last one,
> which you have to read together with the code inset (that's fine), which
> on the other belongs to the sentence started in line 1.
> 
> All of the above constitutes 1 sentence and should not be chopped in
> parts by the colon.
> 
> I know this construct is somewhat common, but I don't think it is
> correct. In any case it disrupts the reading flow. [In fact, that
> disruption is the very reason why it is sometimes used in the middle of
> a written sentence: as a substitute for the rhetoric element "pause".]

I agree that it is probably not strictly correct, but this construct 
appears frequently in the git documentation. My main concern with this 
patch was to make the presentation of example command lines internally 
consistent, if not strictly grammatically correct, i.e. some examples 
were introduced following a colon, while others were not.

> In the example above your patch introduces it, in other places it has
> been used before. So this might my an opportunity to get rid of it
> consistently ;)

Go for it!

> Michael

David.